Subject: [PATCH 7/9] arm64: Add atomic macros to assembler.h

From: [email-masked] (Catalin Marinas)
Date: Wed, 27 Aug 2014 09:25:29 +0100

On Tue, Aug 26, 2014 at 08:40:53PM +0100, Geoff Levand wrote:
> On Tue, 2014-08-26 at 17:05 +0100, Catalin Marinas wrote:
> > On Fri, Aug 22, 2014 at 08:49:16PM +0100, Geoff Levand wrote:
> > > Add an assembler macro definition 'atomic' for performing generic
> > > atomic operations.  Also add macro definitions for atomic_add,
> > > atomic_sub, atomic_inc, and atomic_dec.
> > 
> > Same question as before. Why are this needed?
> 
> I use these in the smp-spin-table re-work I am doing to keep a
> count of CPUs in the secondary_holding_pen, but those patches
> are not yet ready for review.
> 
> I thought I'd post this now thinking theses macros might be of use
> to someone else.  I could just put them into the smp-spin-table
> series, please let me know.

Keeping them all together would be better. I don't like introducing
unused code.

-- 
Catalin